---
title: Xamarin.Android warning XA4218
description: XA4218 warning code
ms.date: 02/19/2019
---
# Xamarin.Android warning XA4218

## Example messages

```
warning XA4218: Unable to find //manifest/application/uses-library at path: C:\Program Files (x86)\Android\android-sdk\platforms\android-22\optional\org.apache.http.legacy.jar
```

## Issue

This warning indicates your *AndroidManifest.xml* file specifies
`//application/uses-library`, but the library was not found within the
Android SDK directory.

## Solution

* Verify you defined the `@android:name` correctly and the file
  exists.
* Raise the value of `//uses-sdk/@android:targetSdkVersion` in
  *AndroidManifest.xml* to a higher API level.
