### Preliminary JDK 11 Support

Xamarin.Android can now use JDK 11 to build libraries and applications.

JDK 11 is required in order to use Android SDK Build-tools r30,
currently a release candidate.  Future versions of the Android SDK
*may* require JDK 11 for more scenarios.  JDK 11 *is not required*
at this point in time.

Project authors can try switching to JDK 11 now to prepare
potential future JDK 11 requirements.

To do so:

 1. Install JDK 11, for example
    [JetBrains Runtime](https://confluence.jetbrains.com/display/JBR/JetBrains+Runtime)

 2. Tell Xamarin.Android to use JDK 11.  This can be done within
    [Visual Studio](https://docs.microsoft.com/en-us/xamarin/android/troubleshooting/questions/update-jdk?tabs=windows),
    or can be done by setting the the `$(JavaSdkDirectory)` MSBuild
    property to refer to the root of the JDK installation from (1).

#### Known Issues

When JDK 11 is used, the `@(JavaSourceJar)` Build action is not supported,
and binding projects will not parse Javadoc to determine parameter names.
This may result in different parameter names for existing bindings projects.
Authors of bindings projects affected by this change are recommended to
continue to use JDK 8 to build the bindings projects until this issue is
resolved.

The fix is being tracked as: https://github.com/xamarin/xamarin-android/issues/4789
